{% extends '::base.html.twig'%}
{% block body %}
    {%set sommeRecolte = 0%}
    {%for a in projet.aSoutenus%}
        {%set sommeRecolte = sommeRecolte + a.montant%}
    {%endfor%}
    <div class="container">
        <div class="row" style="margin-top: 20px">
            <div class="col-sm-12 col-md-4 col-lg-4">
                <h2 style="font-family: RobotoRegular">{{projet.titre}}</h2>
                <p style="font-weight: bold">Campagne lancée par l'artiste {{projet.artiste.nomArtiste|upper}}</p>
            </div>
            <div class="col-sm-12 col-md-8 col-lg-8">
                <a href=""><img src="{{asset('bundles/kifzik/img/banhaut.png')}}" style="width: 100%"/></a>
            </div>
        </div><br/><br/>
        <div class="row">
            <div class="col-sm-12">
                <ul id="myTabs" class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active">
                        <a href="#fiche_projet" id="home-tab" role="tab" data-toggle="tab" aria-controls="home" aria-expanded="true">FICHE PROJET</a>
                    </li>
                    <li role="presentation">
                        <a href="#artiste" role="tab" id="profile-tab" data-toggle="tab" aria-controls="profile">ARTISTE</a>
                    </li>
                </ul>
                <div id="myTabContent" class="tab-content">
                    <div style="padding-top: 25px" role="tabpanel" class="tab-pane fade in active" id="fiche_projet" aria-labelledby="home-tab">
                        <div class="col-sm-12 col-md-8 col-lg-8" style="padding-left: 0px">
                            <div style="float: right">
                                Partagez le projet sur:
                                <a href="https://www.facebook.com/sharer/sharer.php?u=http://www.kifzik.com{{path('main_detail_projet', {'code': projet.code})}}" target="_blank">
                                    <img src='{{asset('bundles/kifzik/img/pttfacebook.png')}}'/>
                                </a>
                                <a href="https://twitter.com/share?url=http://www.kifzik.com{{path('main_detail_projet', {'code': projet.code})}};text={{projet.titre}}: {{projet.description}}" target="_blank">
                                    <img src='{{asset('bundles/kifzik/img/ptttwitter.png')}}'/>
                                </a>
                            </div>
                            <div style="clear: both"></div><br/>
                            <img class="thumbnail" src="{{asset(projet.photo.webPath)}}" style="width: 100%"/>

                            <h2>Description du projet</h2>
                            <p>{{projet.description}}</p>
                            <br/>
                            {%if projet.idYoutube%}
                                <div>
                                    <span style="font-weight: bold">Présentation youtube </span><br/><br/>
                                    {#                                    {% set youtube_link_in_array =  projet.lienYoutube|split('/')%}#}
                                    <p style="text-align: center"><iframe src="https://www.youtube.com/embed/{{projet.idYoutube}}" style="width: 100%; height: 420px; margin: auto; border: none"></iframe>
                                    </p><br/>
                                    {#                                <a href='{{projet.lienYoutube}}' target="_blank">{{projet.lienYoutube}}</a>#}
                                </div><br/>
                            {%endif%}
                            {%if projet.idSoundCloud%}
                                <div>
                                    <span style="font-weight: bold">SoundCloud </span><br/><br/>
                                    <iframe width="100%" height="200" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/{{projet.idSoundCloud}}&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>
                                        {#                                <a href='{{projet.lienSoundcloud}}' target="_blank">{{projet.lienSoundcloud}}</a>#}
                                </div>
                                <br/><br/>
                            {%endif%}
                            <h3>A quoi va servir le financement</h3>
                            <p>{{projet.butDuFinancement}}</p>
                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-4" style="padding-right: 0px">
                            <div style="border: 1px solid #ccc; height: auto">
                                <div class="progress" style="border-radius: 0px; height: 70px; margin-top: 20px">
                                    <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="{{(100*(sommeRecolte/projet.objectifFinancier))|round}}" aria-valuemin="0" aria-valuemax="100" style="width: {{(100*(sommeRecolte/projet.objectifFinancier))|round}}%; text-align: right; color: black; font-family: RobotoRegular; font-size: 2em; padding-top: 23px">
                                        {{(100*(sommeRecolte/projet.objectifFinancier))|round}}%
                                    </div>
                                </div>
                                <div style="text-align: center; font-size: 1.3em">
                                    <div style="font-weight: bold">{{sommeRecolte|number_format(0, ',', ' ')}}  F </div>
                                    <div style="">Financés sur {{projet.ObjectifFinancier|number_format(0, ',', ' ')}}  F </div>
                                </div><br/><br/>
                                <div style="text-align: center; font-size: 1.5em;">
                                    <div style="font-weight: bold">{{projet.aSoutenus|length}}</div>
                                    <div style="">Contributions </div>
                                </div><br/>
                                <div style="text-align: center; font-size: 1.5em;">
                                    {% set difference = date(projet.date|date_modify("+"~parameter.dureeVieProjet~" day")).diff(date('now'|date('Y-m-d H:i:s'))) %}
                                    {% set leftDays = difference.days %}
                                    <div style="font-weight: bold">{{ leftDays }} J</div>
                                    <div style="">restant{% if leftDays > 1 %}s{% endif %} </div>
                                </div><br/>
                                <div style="text-align: center">
                                    <a href="{{path('main_soutenir_projet', {'code': projet.code})}}" style="border: none; border-radius: 0px; background: #fa9d0b; height: 50px; color: black; font-size: 1.5em" class="btn btn-default">SOUTENIR CE PROJET</a>
                                </div>
                                <br/>
                            </div><br/><br/>
                            <div>
                                <h3>CONTREPARTIE</h3>
                                {%for c in projet.contrepartieProjets%}
                                    <div style="margin-bottom: 20px">
                                        <div style="padding: 10px; font-weight: bold; height: 40px; background: #fa9d0b">{{c.montant}}</div>
                                        <div style="padding: 10px; height: auto; background: whitesmoke">
                                            <p style="font-weight: bold">{{c.libelle}}</p>
                                            <p style="">{{c.description}}</p>
                                        </div>
                                    </div>
                                {%endfor%}
                            </div>
                        </div>
                    </div>
                    <div style="padding-top: 25px" role="tabpanel" class="tab-pane fade" id="artiste" aria-labelledby="profile-tab">
                        <div class="col-sm-12 col-md-8 col-lg-8" style="padding-left: 0px">
                            <div class="row">
                                <div class="col-sm-12">
                                    <p style="margin-left: 10px">
                                        {%if projet.artiste.lienPageTwitter%}
                                            <a href="{{projet.artiste.lienPageTwitter}}" target="_blank"><img style="height: 32px" src="{{asset('bundles/kifzik/img/twitter.png')}}"/></a>
                                            {%endif%}
                                            {%if projet.artiste.lienPageFacebook%}
                                            <a href="{{projet.artiste.lienPageFacebook}}" target="_blank"><img style="height: 32px" src="{{asset('bundles/kifzik/img/facebook.png')}}"/></a>
                                            {%endif%}
                                            {%if projet.artiste.lienPageYoutube%}
                                            <a href="{{projet.artiste.lienPageYoutube}}" target="_blank"><img style="height: 32px" src="{{asset('bundles/kifzik/img/youtube.png')}}"/></a>
                                            {%endif%}
                                            {%if projet.artiste.lienPageSoundcloud%}
                                            <a href="{{projet.artiste.lienPageSoundcloud}}" target="_blank"><img style="height: 32px" src="{{asset('bundles/kifzik/img/soundcloud.png')}}"/></a>
                                            {%endif%}
                                            {%if projet.artiste.siteWeb%}
                                            <a href="{{projet.artiste.siteWeb}}"><img style="height: 32px" src="{{asset('bundles/kifzik/img/web.png')}}"/></a>
                                            {%endif%}
                                    </p>
                                    <p style="font-size: 1.2em">
                                        <img class="thumbnail" src="{%if projet.artiste.photoProfil and projet.artiste.photoProfil.url%}{{asset(projet.artiste.photoProfil.webPath)}}{%else%}{{asset('bundles/kifzik/img/avatarkifzik.png')}}{%endif%}" style="width: 200px; float: left; margin: 10px"/>
                                        <span style="font-size: 1.5em">Biographie</span><br/>
                                        {{projet.artiste.biographie}}
                                    </p>

                                </div>
                            </div>



                        </div>
                        <div class="col-sm-12 col-md-4 col-lg-4" style="padding-right: 0px">
                            <div style="border: 1px solid #ccc; height: auto">
                                <div class="progress" style="border-radius: 0px; height: 70px; margin-top: 20px">
                                    <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="{{(100*(sommeRecolte/projet.objectifFinancier))|round}}" aria-valuemin="0" aria-valuemax="100" style="width: {{(100*(sommeRecolte/projet.objectifFinancier))|round}}%; text-align: right; color: black; font-family: RobotoRegular; font-size: 2em; padding-top: 23px">
                                        {{(100*(sommeRecolte/projet.objectifFinancier))|round}}%
                                    </div>
                                </div>
                                <div style="text-align: center; font-size: 1.3em">
                                    <div style="font-weight: bold">{{sommeRecolte|number_format(0, ',', ' ')}}  F </div>
                                    <div style="">Financés sur {{projet.ObjectifFinancier|number_format(0, ',', ' ')}}  F </div>
                                </div><br/><br/>
                                <div style="text-align: center; font-size: 1.5em;">
                                    <div style="font-weight: bold">{{projet.aSoutenus|length}}</div>
                                    <div style="">Contributions </div>
                                </div><br/>
                                <div style="text-align: center; font-size: 1.5em;">
                                    {% set difference = date(projet.date|date_modify("+"~parameter.dureeVieProjet~" day")).diff(date('now'|date('Y-m-d H:i:s'))) %}
                                    {% set leftDays = difference.days %}
                                    <div style="font-weight: bold">{{ leftDays }} J</div>
                                    <div style="">restant{% if leftDays > 1 %}s{% endif %} </div>
                                </div><br/>
                                <div style="text-align: center">
                                    <a href="{{path('main_soutenir_projet', {'code': projet.code})}}" style="border: none; border-radius: 0px; background: #fa9d0b; height: 50px; color: black; font-size: 1.5em" class="btn btn-default">SOUTENIR CE PROJET</a>
                                </div>
                                <br/>
                            </div><br/><br/>
                            <div>
                                <h3>CONTREPARTIE</h3>
                                {%for c in projet.contrepartieProjets%}
                                    <div style="margin-bottom: 20px">
                                        <div style="padding: 10px; font-weight: bold; height: 40px; background: #fa9d0b">{{c.montant}}</div>
                                        <div style="padding: 10px; height: auto; background: whitesmoke">
                                            <p style="font-weight: bold">{{c.libelle}}</p>
                                            <p style="">{{c.description}}</p>
                                        </div>
                                    </div>
                                {%endfor%}
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
    </div>
{%endblock%}
